## visad.data.hdf5.hdf5objects
Class HDF5File

    java.lang.Object
      visad.data.hdf5.hdf5objects.HDF5Object
          visad.data.hdf5.hdf5objects.HDF5File

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  HDF5FileAdapted

public class HDF5File
extends HDF5Object

An HDF5File is designed to provide file-level access to HDF5 files.

For details of the HDF5 libraries, see the HDF5 Documentation at: http://hdf.ncsa.uiuc.edu/HDF5/doc/

See Also:
  Serialized Form

Field Summary

Fields inherited from class visad.data.hdf5.hdf5objects.HDF5Object
`ATTRIBUTE, DATASET, DATASPACE, DATATYPE, description, GROUP, HDF5FILE, id, LINK, name, shortName, type, UNKNOWN`

Constructor Summary
`HDF5File(String filename, int flags, int access_id)` Opens an existing HDF5 file.
`HDF5File(String filename, int flags, int create_id, int access_id)` Creates a new HDF5 file.

Method Summary
`protected void` `finalize()` finalize() is called by the garbage collector on the object when garbage collection determines that there are no more references to the object.
`HDF5TreeNode` `loadTree()`

Methods inherited from class visad.data.hdf5.hdf5objects.HDF5Object
`getDescription, getID, getName, getShortName, getType, init, setID, setShortName, setType, toString`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HDF5File

    public HDF5File(String filename,
                    int flags,
                    int create_id,
                    int access_id)
             throws HDF5Exception

  Creates a new HDF5 file.

Parameters:
  `filename` - The name of the HDF5 file.
  `flags` - File access flags.
  `access_id` - File access property list identifier.

### HDF5File

    public HDF5File(String filename,
                    int flags,
                    int access_id)
             throws HDF5Exception

  Opens an existing HDF5 file.

Parameters:
  `filename` - The name of the HDF5 file.
  `flags` - File access flags.
  `access_id` - File access property list identifier.

Method Detail

### finalize

    protected void finalize()
                     throws Throwable

  finalize() is called by the garbage collector on the object when garbage collection determines that there are no more references to the object. It is used to dispose of system resources or to perform other cleanup as C++ destructors

  Throws:
    `Throwable`

### loadTree

    public HDF5TreeNode loadTree()